/*
 *	font8.h
 */

#ifndef _FONT8_H_
#define _FONT8_H_

#include <stdarg.h>
#include <gba.h>

/* fix8.c */
void Fix8SetColor(u16 fgcolor, u16 bgcolor);
int Fix8GetCharWidth(u8 c);
int Fix8PutChar(u8 x, u8 y, u8 c);
int Fix8PutChar2(u8 x, u8 y, u8 c);
int Fix8PutStr(u8 x, u8 y, u8 *str);
int Fix8printf(u8 x, u8 y, u8 *fmt, ...);

/* prop8.c */
void Prop8SetColor(u16 fgcolor, u16 bgcolor);
int Prop8GetCharWidth(u8 c);
int Prop8PutChar(u8 x, u8 y, u8 c);
int Prop8PutChar2(u8 x, u8 y, u8 c);
int Prop8PutStr(u8 x, u8 y, u8 *str);
int Prop8printf(u8 x, u8 y, u8 *fmt, ...);

/* vsprintf.c */
void _vsprintf(u8 *bp, u8 *fmt, va_list vp);
void _sprintf(u8 *bp, u8 *fmt, ...);

#endif // _FONT8_H_

