/*
 *	fonts.h
 */

#ifndef	_FONTS_H_
#define	_FONTS_H_

#include <gba.h>
#include <xfont.h>

#pragma	pack(1)

typedef struct _FONTSIZE {
	vu8	sig[2];
	vu8	ver;
	vu8	size;
	vu8	fontname[XF_NAMELEN+1];
	vu8	fontsize;
	vu8	reserved[7];
} FONTSIZE, *PFONTSIZE;

#define FS_SIG		"FS"
#define FS_VER		0x01

/*
 *	external functions
 */

void InitFonts();
BOOL SelectFont();

#endif	// _FONTS_H_

