/*
 *	main.c
 */

#include "filer.h"

static PDIRENT		pRootDir;

/*
 *	InitScreen
 */
static void InitScreen()
{
	WRITE_REG16(LCD_CTL, 0x0403);	// BG2:Mode3
}

/*
 *	Init
 */
static void Init()
{
	InitScreen();
	Fix8SetColor(COLOR_WHITE, COLOR_BLACK);

	if (!FsInit() || !(pRootDir = FsGetRootDir())) {
		Fix8PutStr(80, 80, "FsInit: Failed!");
		for (;;) ;
	}

	InitFonts();
	InitBookMark();
	InitTimer();
}

/*
 *	AgbMain
 */
void AgbMain(void)
{
	Init();

	StartView(pRootDir);

	for (;;) ;
}
